NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.ElectrodeBlankBuilder Class Reference

Design electrode blank builder to create an electrode blank for the selected body. More...

Inheritance diagram for NXOpen.Tooling.ElectrodeBlankBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BlankMaterial { Copper, Graphite }
 Represents the blank material option. More...
 
enum  BlankShape { Block, Cylinder, Undercut }
 Represents the electrode blank shape option. More...
 
enum  JointObject { Extrude, Offset, None }
 Represents the transition type between head bodies and the blank. More...
 

Public Member Functions

unsafe NXOpen.Tooling.CloneObject CreateCloneObject (int applicationType, int installationMethod, string partToBeInstalled, string folderToSaveParts, string projectName)
 Creates clone object. More...
 
unsafe void UpdateBlankData (string registerPath, string dataPath, string modelPath, string bitmapPath, string material, string[] paraNames, string[] paraValues)
 Update the data of the blank. More...
 
unsafe void UpdateDisplayName (string displayName)
 Update display name of the blank. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle of the joint object. More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
Blank [get]
 Returns the blank to be edited. More...
 
unsafe NXOpen.Matrix3x3 BlankMatrix [get, set]
 Returns or sets the blank matrix. More...
 
unsafe NXOpen.Expression BlendRadius [get]
 Returns the default blend radius of blended edges. More...
 
unsafe double CrossLinesRatio [get, set]
 Returns or sets the ratio of cross center lines. More...
 
unsafe NXOpen.Expression ExtensionHeight [get]
 Returns the default extension height between head bodies and the blank. More...
 
unsafe NXOpen.SelectBodyList HeadBodies [get]
 Returns the head bodies to be used to create a blank. More...
 
unsafe NXOpen.SelectFace JointFace [get]
 Returns the face to create a joint object between the blank and head bodies. More...
 
unsafe
NXOpen.Tooling.ElectrodeBlankBuilder.JointObject 
JointMethod [get, set]
 Returns or sets the joint object type. More...
 
unsafe bool KeepSize [get, set]
 Returns or sets the option to keep size of the blank or not. More...
 
unsafe bool KeepZValueInSameMSet [get, set]
 Returns or sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS. More...
 
unsafe
NXOpen.Tooling.ElectrodeBlankBuilder.BlankMaterial 
Material [get, set]
 Returns or sets the material of the blank. More...
 
unsafe NXOpen.TaggedObject MsetPart [get, set]
 Returns or sets the current machine set under which a blank is added. More...
 
unsafe NXOpen.TaggedObject MultiPositionBuilder [get, set]
 Returns or sets the multi position builder. More...
 
unsafe NXOpen.Point3d ReferenceCenter [get, set]
 Returns or sets the blank reference point. More...
 
unsafe double ReferencePointPrecision [get, set]
 Returns or sets the precision of the reference coordinates in the machine set csys. More...
 
unsafe bool Rename [get, set]
 Returns or sets the option to use the part name management dialog box or not. More...
 
unsafe NXOpen.TaggedObject ReusablePartBuilder [get, set]
 Returns or sets the reusable part builder. More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the rotation angle of blank. More...
 
unsafe bool RoundCrossLinesPosition [get, set]
 Returns or sets the option to round the position of cross lines or not. More...
 
unsafe
NXOpen.Tooling.ElectrodeBlankBuilder.BlankShape 
Shape [get, set]
 Returns or sets the shape of the blank. More...
 
unsafe bool UniteBodies [get, set]
 Returns or sets the option to unite head bodies, the extension and the blank or not. More...
 
unsafe NXOpen.Expression XRefValue [get]
 Returns the X value of the blank origin in the current machine set coordinator. More...
 
unsafe NXOpen.Expression YRefValue [get]
 Returns the Y value of the blank origin in the current machine set coordinator. More...
 
unsafe NXOpen.Expression ZRefValue [get]
 Returns the Z value of the blank origin in the current machine set coordinator. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Design electrode blank builder to create an electrode blank for the selected body.

To create a new instance of this class, use NXOpen.Tooling.ElectrodeDesignCollection.CreateBlankBuilder

Default values.

Property Value

Angle.Value

0

BlendRadius.Value

0 (millimeters part), 0 (inches part)

ExtensionHeight.Value

5 (millimeters part), 0.2 (inches part)

JointMethod

Extrude

KeepSize

0

KeepZValueInSameMSet

0

Material

Copper

ReferencePointPrecision

1

Rename

0

RotationAngle.Value

0

RoundCrossLinesPosition

0

Shape

Block

UniteBodies

1

XRefValue.Value

0 (millimeters part), 0 (inches part)

YRefValue.Value

0 (millimeters part), 0 (inches part)

ZRefValue.Value

0 (millimeters part), 0 (inches part)

Created in NX8.0.0

Member Enumeration Documentation

Represents the blank material option.

Enumerator
Copper 

the material of the blank is copper

Graphite 

the material of the blank is graphite

Represents the electrode blank shape option.

Enumerator
Block 

the shape of the blank is block

Cylinder 

the shape of the blank is cylinder

Undercut 

the shape of the blank is block to spark undercut area

Represents the transition type between head bodies and the blank.

Enumerator
Extrude 

extrude body from joint face to blank

Offset 

create offset feature from joint face to blank

None 

nothing to do

Member Function Documentation

unsafe NXOpen.Tooling.CloneObject NXOpen.Tooling.ElectrodeBlankBuilder.CreateCloneObject ( int  applicationType,
int  installationMethod,
string  partToBeInstalled,
string  folderToSaveParts,
string  projectName 
)
inline

Creates clone object.

Created in NX12.0.0

License requirements: None.

Parameters
applicationType
installationMethod
partToBeInstalled
folderToSaveParts
projectName
Returns
unsafe void NXOpen.Tooling.ElectrodeBlankBuilder.UpdateBlankData ( string  registerPath,
string  dataPath,
string  modelPath,
string  bitmapPath,
string  material,
string[]  paraNames,
string[]  paraValues 
)
inline

Update the data of the blank.

Created in NX12.0.0

License requirements: nx_electrode_wizard ("NX Electrode Wizard")

Parameters
registerPathregister path of the blank part
dataPathdata path of the blank part
modelPathmodel path of the blank part
bitmapPathbitmap path of the blank part
materialmaterial of the blank part
paraNamesparameter name the blank part
paraValuesparameter value the blank part
unsafe void NXOpen.Tooling.ElectrodeBlankBuilder.UpdateDisplayName ( string  displayName)
inline

Update display name of the blank.

Created in NX12.0.0

License requirements: nx_electrode_wizard ("NX Electrode Wizard")

Parameters
displayNamedisplay name of the blank part

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.Angle
get

Returns the angle of the joint object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.ElectrodeBlankBuilder.Blank
get

Returns the blank to be edited.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Matrix3x3 NXOpen.Tooling.ElectrodeBlankBuilder.BlankMatrix
getset

Returns or sets the blank matrix.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.BlendRadius
get

Returns the default blend radius of blended edges.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Tooling.ElectrodeBlankBuilder.CrossLinesRatio
getset

Returns or sets the ratio of cross center lines.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.ExtensionHeight
get

Returns the default extension height between head bodies and the blank.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.ElectrodeBlankBuilder.HeadBodies
get

Returns the head bodies to be used to create a blank.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectFace NXOpen.Tooling.ElectrodeBlankBuilder.JointFace
get

Returns the face to create a joint object between the blank and head bodies.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.ElectrodeBlankBuilder.JointObject NXOpen.Tooling.ElectrodeBlankBuilder.JointMethod
getset

Returns or sets the joint object type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.ElectrodeBlankBuilder.KeepSize
getset

Returns or sets the option to keep size of the blank or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.ElectrodeBlankBuilder.KeepZValueInSameMSet
getset

Returns or sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Tooling.ElectrodeBlankBuilder.BlankMaterial NXOpen.Tooling.ElectrodeBlankBuilder.Material
getset

Returns or sets the material of the blank.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.TaggedObject NXOpen.Tooling.ElectrodeBlankBuilder.MsetPart
getset

Returns or sets the current machine set under which a blank is added.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.TaggedObject NXOpen.Tooling.ElectrodeBlankBuilder.MultiPositionBuilder
getset

Returns or sets the multi position builder.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Point3d NXOpen.Tooling.ElectrodeBlankBuilder.ReferenceCenter
getset

Returns or sets the blank reference point.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe double NXOpen.Tooling.ElectrodeBlankBuilder.ReferencePointPrecision
getset

Returns or sets the precision of the reference coordinates in the machine set csys.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.ElectrodeBlankBuilder.Rename
getset

Returns or sets the option to use the part name management dialog box or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.TaggedObject NXOpen.Tooling.ElectrodeBlankBuilder.ReusablePartBuilder
getset

Returns or sets the reusable part builder.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.RotationAngle
get

Returns the rotation angle of blank.

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Tooling.ElectrodeBlankBuilder.RoundCrossLinesPosition
getset

Returns or sets the option to round the position of cross lines or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Tooling.ElectrodeBlankBuilder.BlankShape NXOpen.Tooling.ElectrodeBlankBuilder.Shape
getset

Returns or sets the shape of the blank.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe bool NXOpen.Tooling.ElectrodeBlankBuilder.UniteBodies
getset

Returns or sets the option to unite head bodies, the extension and the blank or not.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_electrode_wizard ("NX Electrode Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.XRefValue
get

Returns the X value of the blank origin in the current machine set coordinator.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.YRefValue
get

Returns the Y value of the blank origin in the current machine set coordinator.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.ElectrodeBlankBuilder.ZRefValue
get

Returns the Z value of the blank origin in the current machine set coordinator.

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.